%define	desktop_vendor	atrpms

Summary: Graphical package management program using apt
Name: synaptic
Version: 0.57.2
Release: 30%{?dist}
License: GPL
Group: Applications/System
Source0: http://savannah.nongnu.org/download/synaptic/%{name}-%{version}.tar.gz
Source1: http://savannah.nongnu.org/download/synaptic/%{name}-%{version}.tar.gz.sig
# Patches from apt-rpm maintainer for gcc 4.1 support, repomd support
# and progress meter fixes
Patch2: http://apt-rpm.org/patches/synaptic-0.57.2-gcc41.patch
Patch3: http://apt-rpm.org/patches/synaptic-0.57.2-repomd-1.patch
Patch4: http://apt-rpm.org/patches/synaptic-0.57.2-showprog.patch
URL: http://www.nongnu.org/synaptic/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf, automake
BuildRequires: gcc-c++, gettext-devel
BuildRequires: apt-devel >= 0.5.4, rpm-devel >= 4.0
BuildRequires: gtk2-devel >= 2.4.0, libglade2-devel >= 2.0.0, pango-devel >= 1.0.0, glib2-devel
BuildRequires: libstdc++-devel, desktop-file-utils
BuildRequires: intltool >= 0.23, perl(XML::Parser), docbook-utils, scrollkeeper, xmlto
Requires: rpm = %(rpm -q --qf %%{epoch}:%%{version} rpm-devel | sed -e's,(none):,,')
Requires: apt = %(rpm -q --qf %%{epoch}:%%{version} apt | sed -e's,(none):,,')
Requires: usermode

%description
Synaptic (previously known as raptor) is a graphical package management
program for apt. It provides the same features as the apt-get command line 
utility with a GUI front-end based on Gtk+

%prep
%setup -q
%patch2 -p1 -b .gcc41
%patch3 -p1 -b .repomd
%patch4 -p1 -b .showprog
perl -pi -e's,SizeToStr,syn_SizeToStr,g' ./gtk/rgmisc.cc

%build
intltoolize -f
autoreconf -vfs
%configure 
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name} --with-gnome

mkdir -p %{buildroot}%{_bindir}
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/synaptic

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/synaptic
USER=root
PROGRAM=%{_sbindir}/synaptic
SESSION=true
FALLBACK=false
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/synaptic
#%PAM-1.0
auth       sufficient   /%{_lib}/security/pam_rootok.so
auth       sufficient   /%{_lib}/security/pam_timestamp.so
auth       required     /%{_lib}/security/pam_stack.so service=system-auth
session    required     /%{_lib}/security/pam_permit.so
session    optional     /%{_lib}/security/pam_xauth.so
session    optional     /%{_lib}/security/pam_timestamp.so
account    required     /%{_lib}/security/pam_permit.so
EOF

# Remove the default menu entry and install our own
rm -f %{buildroot}%{_sysconfdir}/X11/sysconfig/synaptic.desktop
rm -f %{buildroot}%{_datadir}/control-center-2.0/capplets/synaptic.desktop
rm -f %{buildroot}%{_datadir}/applications/synaptic.desktop
rm -f %{buildroot}%{_datadir}/applications/synaptic-kde.desktop


cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Synaptic
Comment=Graphical package management program using apt
Icon=synaptic.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Red-Hat-Base                 \
  --add-category Application                    \
  --add-category SystemSetup                    \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/synaptic
%{_sbindir}/synaptic
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/synaptic
%{_datadir}/pixmaps/synaptic.png
%{_mandir}/man8/%{name}.8*
%{_datadir}/omf/synaptic/synaptic-*.omf


%changelog
* Wed May 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add patches by apt-rpm maintainer for gcc 4.1 support, repomd
  support and progress meter fixes

* Tue Apr  4 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add autoreconf -vfs (bug #786).

* Tue Dec 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.57.2.

* Wed Jun 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.57.

* Sat Jan  1 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.55.3.

* Thu Sep  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.53.3.

* Thu Jul 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.52.

* Wed Jun 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix icon path in desktop file (jeff <moe@blagblagblag.org>).

* Mon Apr 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.48.2.

* Wed Apr  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.48.1.

* Wed Feb  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.48test2.

* Sun Nov  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.45.

* Thu Oct  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.44.

* Mon Aug 18 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.43.1.

* Sun Aug 10 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.40.

* Wed Jul 23 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.39.

* Thu Apr 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.36.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.35.1.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.35.
- Rebuilt for Red Hat Linux 9.

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.32.
                                                                                
* Tue Jan 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.31.
                                                                                
* Thu Jan  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.30.
                                                                                
* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.28.1.
                                                                                
* Mon Oct 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.25.
- New icon, thanks to Alan Cramer.

* Mon Sep 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.24.1.

* Thu Sep 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.24.
- Rebuilt for Red Hat Linux 8.0.
- Major spec file cleanup since the app now uses apt 0.5, gtk+ etc.
- Use the redhat-config-packages icon.
- Menu entry now uses the freedesktop approach.
- Use timestamp too in the pam file.

* Tue May  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the libPropList dependency.
- Changed pam entry and console.apps entry.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Mar 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat Linux 7.2.

* Tue Nov 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.16-1cl
- nothing new, 0.16 is for apt 0.5 support

* Sun Jul  1 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.15-1cl
- auto-fix broken dependencies on Upgrade/Install package (closes: #3967)
- always create config dir in /root

* Sat Jun 30 2001 Osvaldo Santana Neto <osvaldo@conectiva.com>
+ synaptic-0.14-3cl
- added icon in desktop (Closes: #3955)

* Sat Jun 30 2001 Osvaldo Santana Neto <osvaldo@conectiva.com>
+ synaptic-0.14-2cl
- added icon tag in menu descriptor (Closes: #3955)

* Thu Jun 28 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.14-1cl
- fixed show summary dialog (closes: #4007)
- fixed broken texts (closes: #4006)
- updated pt_BR potfile

* Wed Jun 27 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.13-1cl
- fixed some stuff in filter editor
- added default task filter
- fixed crash when changing filter (closes: #3959)


* Tue Jun 26 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.12-1cl
- added consolehelper support
- added menu (closes: #1369)
- reassigned icons credits to KDE ppl
- added little note to config window (closes: #1282)

* Wed Jun 20 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.11-1cl
- changed pkg fetch error message (closes: #1306)
- compiled against new apt (closes: #3256)
- compiled against patched wmaker (closes: #3291, #3370, #3235)
- added new potfiles (closes: #1614, #3072)
- fixed locale setting


* Fri May 18 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.10-1cl
- fixed various glitches (closes: #3235)
- bug fixed by new apt (closes: #3068)

* Tue May 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.9-1cl
- no longer reset package selection state when download only option is set
  (closes: #1307)
- added tooltips
- replaced N/A -> "" in version field in package list (closes: #1277)
- fixed bug in error dialogs (closes: #1280)
- added about dlg close btn (closes: #1285)
- s/Scratch Filter/Search Filter/ (closes: #1283)
- recompiled (closes: #1559)
- recompiled against new wmaker (closes: #1309, #1428, #3031)
- fixed bug when listing too many packages 
- did some magick (closes: #2818)
- fixed filter button bug (closes: #1332)

* Sat Apr 28 2001 Arnaldo Carvalho de Melo <acme@conectiva.com>
+ synaptic-0.8-4cl
- minor spec changes for policy compliance
- BuildRequires libbz2-devel, not bzip2-devel

* Fri Mar 23 2001 Conectiva <dist@conectiva.com>
+ synaptic-0.8-2cl
- rebuilt with newer rpm

* Wed Feb 21 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.8-2cl
- recompiled (closes: #1559)

* Wed Feb 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.8-1cl
- first official release (closes: #1417)

* Wed Jan 24 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.7-1cl
- i18n
- pt_BR

* Wed Jan 24 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.6-1cl
- depends on apt cnc32

* Thu Jan 23 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.5-1cl
- renamed from raptor to Synaptic

* Mon Jan 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ raptor-0.4-1cl

* Tue Jan 18 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ raptor-0.3-1cl

* Mon Jan 15 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ raptor-0.2-1cl
- release version 0.2 (first)

